Bug 161063 - devel/py-vmaps: request for marking it DEPRECATED
Summary: devel/py-vmaps: request for marking it DEPRECATED
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-27 10:40 UTC by R.Mahmatkhanov
Modified: 2011-10-27 13:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-09-27 10:40:04 UTC
Development of this library is stopped. Last release was on Jan 22 2002. Author discourages to use it. From offsite (http://sovereignit.com/Vmaps/): 

"""
ANTIQUATED and UNSUPPORTED; you're almost certainly better off using NumPy now.
"""

Port is unmaintained and nobody in the tree depends on it. So i think it's safe to deprecate it and remove with suggesting user to use math/py-numpy instead.
Comment 1 Chris Rees freebsd_committer 2011-10-04 17:33:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 2 dfilter service freebsd_committer 2011-10-04 17:51:22 UTC
crees       2011-10-04 16:50:28 UTC

  FreeBSD ports repository

  Modified files:
    astro/weatherget     Makefile 
    devel/py-reverse     Makefile 
    devel/py-vmaps       Makefile 
  Log:
  Deprecate some unsupported ports:
  
  astro/weatherget: Broken b/c of weather.com new licensing rules not agreed by author
  devel/py-vmaps: Author recommends using math/py-numpy instead
  devel/py-reverse: Now part of pylint
  
  PR:             ports/161074 ports/161063 ports/161067
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.7       +3 -0      ports/astro/weatherget/Makefile
  1.19      +3 -0      ports/devel/py-reverse/Makefile
  1.8       +3 -0      ports/devel/py-vmaps/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Chris Rees freebsd_committer 2011-10-04 17:51:26 UTC
State Changed
From-To: open->patched

Deprecated for removal on 2011-11-04
Comment 4 dfilter service freebsd_committer 2011-10-27 13:29:57 UTC
crees       2011-10-27 12:29:42 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    astro                Makefile 
    devel                Makefile 
  Removed files:
    astro/weatherget     Makefile distinfo pkg-descr 
    devel/py-reverse     Makefile distinfo pkg-descr pkg-plist 
    devel/py-reverse/files patch-setup.py 
    devel/py-vmaps       Makefile distinfo pkg-descr pkg-plist 
  Log:
  Remove expired ports.
  
  2011-11-04 astro/weatherget: Broken b/c of weather.com new licensing rules not agreed by author
  2011-11-04 devel/py-reverse: Now part of pylint
  2011-11-04 devel/py-vmaps: Author recommends using math/py-numpy instead
  
  PR:             ports/161063 ports/161067 ports/161074
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.2653    +4 -1      ports/MOVED
  1.164     +0 -1      ports/astro/Makefile
  1.8       +0 -37     ports/astro/weatherget/Makefile (dead)
  1.6       +0 -2      ports/astro/weatherget/distinfo (dead)
  1.3       +0 -6      ports/astro/weatherget/pkg-descr (dead)
  1.4631    +0 -2      ports/devel/Makefile
  1.20      +0 -30     ports/devel/py-reverse/Makefile (dead)
  1.9       +0 -2      ports/devel/py-reverse/distinfo (dead)
  1.2       +0 -15     ports/devel/py-reverse/files/patch-setup.py (dead)
  1.3       +0 -6      ports/devel/py-reverse/pkg-descr (dead)
  1.7       +0 -106    ports/devel/py-reverse/pkg-plist (dead)
  1.9       +0 -34     ports/devel/py-vmaps/Makefile (dead)
  1.5       +0 -2      ports/devel/py-vmaps/distinfo (dead)
  1.4       +0 -7      ports/devel/py-vmaps/pkg-descr (dead)
  1.2       +0 -3      ports/devel/py-vmaps/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2011-10-27 13:30:45 UTC
State Changed
From-To: patched->closed

Removed.